declare const formatMap: {
    mp3: string;
    ogg: string;
};
export declare class BackgroundAudio {
    private audioContext;
    private sounds;
    pickFormatAndPlay<F extends Array<keyof typeof formatMap>>(urlPrefix: string, formats: F, loop?: boolean): Promise<AudioBufferSourceNode>;
    play(url: string, loop?: boolean): Promise<AudioBufferSourceNode>;
    private pickFormat;
}
export {};
